Package: org.gradle.nativeplatform.plugins

## [Java] Class Rules

- org.gradle.nativeplatform.plugins.NativeComponentModelPlugin.Rules

- Model rules.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `applyHeaderSourceSetConventions(ProjectSourceSet sources)`
    `void` | `createDefaultBuildTypes(BuildTypeContainer buildTypes)`
    `void` | `createDefaultFlavor(FlavorContainer flavors)`
    `void` | `createDefaultPlatforms(PlatformContainer platforms)`
    `void` | `createDefaultToolChain(org.gradle.nativeplatform.toolchain.internal.NativeToolChainRegistryInternal toolChains)`
    `void` | `createNativeBinaries(BinaryContainer binaries, NamedDomainObjectSet<NativeComponentSpec> nativeComponents, org.gradle.language.base.internal.LanguageRegistry languages, org.gradle.nativeplatform.toolchain.internal.NativeToolChainRegistryInternal toolChains, PlatformContainer platforms, BuildTypeContainer buildTypes, FlavorContainer flavors, org.gradle.internal.service.ServiceRegistry serviceRegistry, File buildDir)`
    `void` | `registerExtensions(ExtensionContainer extensions, BuildTypeContainer buildTypes, FlavorContainer flavors)`
    `void` | `registerNativePlatformFactory(PlatformContainer platforms, org.gradle.internal.service.ServiceRegistry serviceRegistry)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @org.gradle.model.Finalize public void applyHeaderSourceSetConventions(ProjectSourceSet sources)

    - #### @org.gradle.model.Finalize public void createDefaultBuildTypes(BuildTypeContainer buildTypes)

    - #### @org.gradle.model.Finalize public void createDefaultFlavor(FlavorContainer flavors)

    - #### @org.gradle.model.Finalize public void createDefaultPlatforms(PlatformContainer platforms)

    - #### @org.gradle.model.Finalize public void createDefaultToolChain(org.gradle.nativeplatform.toolchain.internal.NativeToolChainRegistryInternal toolChains)

    - #### @org.gradle.model.Mutate public void createNativeBinaries(BinaryContainer binaries, NamedDomainObjectSet<NativeComponentSpec> nativeComponents, org.gradle.language.base.internal.LanguageRegistry languages, org.gradle.nativeplatform.toolchain.internal.NativeToolChainRegistryInternal toolChains, PlatformContainer platforms, BuildTypeContainer buildTypes, FlavorContainer flavors, org.gradle.internal.service.ServiceRegistry serviceRegistry, @org.gradle.model.Path("buildDir") File buildDir)

    - #### @org.gradle.model.Mutate public void registerExtensions(ExtensionContainer extensions, BuildTypeContainer buildTypes, FlavorContainer flavors)

    - #### @org.gradle.model.Mutate public void registerNativePlatformFactory(PlatformContainer platforms, org.gradle.internal.service.ServiceRegistry serviceRegistry)